//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.01.10 at 02:44:37 PM CET 
//


package net.ihe.gazelle.goc.umlmodel.model;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the net.ihe.gazelle.uml.model package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlRegistry
public class ObjectFactory {

    private static final QName RelativeXMIPath_QNAME = new QName("", "relativeXMIPath");
    private static final QName Path_QNAME = new QName("", "path");
    private static final QName Identifier_QNAME = new QName("", "identifier");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: net.ihe.gazelle.uml.model
     */
    public ObjectFactory() {
    	// object factory constructor
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.umlmodel.model.ModelUMLDesc}
     *
     * @return a {@link net.ihe.gazelle.goc.umlmodel.model.ModelUMLDesc} object.
     */
    public ModelUMLDesc createModelUMLDesc() {
        return new ModelUMLDesc();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.umlmodel.model.UMLModelsDescription}
     *
     * @return a {@link net.ihe.gazelle.goc.umlmodel.model.UMLModelsDescription} object.
     */
    public UMLModelsDescription createUMLModelsDescription() {
        return new UMLModelsDescription();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.umlmodel.model.ModelsDefinition}
     *
     * @return a {@link net.ihe.gazelle.goc.umlmodel.model.ModelsDefinition} object.
     */
    public ModelsDefinition createModelsDefinition() {
        return new ModelsDefinition();
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement}{@code <}{@link java.lang.String}{@code >}}
     *
     * @param value a {@link java.lang.String} object.
     * @return a {@link javax.xml.bind.JAXBElement} object.
     */
    @XmlElementDecl(namespace = "", name = "relativeXMIPath")
    public JAXBElement<String> createRelativeXMIPath(String value) {
        return new JAXBElement<>(RelativeXMIPath_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement}{@code <}{@link java.lang.String}{@code >}}
     *
     * @param value a {@link java.lang.String} object.
     * @return a {@link javax.xml.bind.JAXBElement} object.
     */
    @XmlElementDecl(namespace = "", name = "path")
    public JAXBElement<String> createPath(String value) {
        return new JAXBElement<>(Path_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement}{@code <}{@link java.lang.String}{@code >}}
     *
     * @param value a {@link java.lang.String} object.
     * @return a {@link javax.xml.bind.JAXBElement} object.
     */
    @XmlElementDecl(namespace = "", name = "identifier")
    public JAXBElement<String> createIdentifier(String value) {
        return new JAXBElement<>(Identifier_QNAME, String.class, null, value);
    }

}
